@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components{
    .btn-primary {
        @apply inline-flex items-center px-4 py-2 bg-gray-800 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700 focus:bg-gray-700 active:bg-gray-900 focus:outline-none focus:ring-2 focus:ring-offset-2 transition ease-in-out duration-150
    }
    .btn-secondary {
        @apply inline-flex items-center px-4 py-2 bg-transparent border border-gray-800 rounded-md font-semibold text-xs text-black uppercase tracking-widest hover:underline focus:outline-none focus:ring-2 focus:ring-offset-2 transition ease-in-out duration-150
    }
    .link {
        @apply inline-flex items-center px-4 py-2 bg-transparent border border-gray-400 rounded-md font-semibold text-xs text-black uppercase tracking-widest hover:underline focus:outline-none focus:ring-2 focus:ring-offset-2 transition ease-in-out duration-150
    }
    .btn-delete {
        @apply inline-flex items-center px-4 py-2 bg-transparent border border-red-800 rounded-md font-semibold text-xs text-red-800 uppercase tracking-widest hover:bg-red-800 hover:text-white focus:outline-none focus:ring-2 focus:ring-offset-2 transition ease-in-out duration-150
    }
    .btn-sort {
        @apply inline-flex items-center px-2 py-2 bg-transparent border border-gray-800 font-semibold text-xs text-gray-800 uppercase tracking-widest hover:bg-gray-800 hover:text-white focus:bg-gray-800 focus:text-white focus:outline-none transition ease-in-out duration-150
    }
    .input-text-primary{
        @apply rounded-md border-0 px-4 py-1.5 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset sm:text-sm sm:leading-6
    }
    .input-text-norounded{
        @apply border-0 px-4 py-1.5 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset sm:text-sm sm:leading-6
    }
}
/* width */
::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #ededed;
    border-radius: 5px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #c0c0c0;
    border-radius: 5px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #9b9b9b;
}
